Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008349opensim[REGION] OpenSim Corepublic2018-08-05 12:222018-08-07 14:48
Reporternixnerd 
Assigned Tonixnerd 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformlinuxOSUbuntu OS Version16.04.5 LTS
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0008349: after sim restart, subdivided parcels have moved laterally in the +x direction
DescriptionAfter sim restart, subdivided parcels have moved laterally in the +x direction
Steps To ReproduceDivide sim into parcels, issue backup command in the sim console, restart sim, log into sim, parcels will all uniformly have moved to the right by approx 10 meters
TagsNo tags attached.
Git Revision or version numberOpenSim 0.9.1.0 Snail Dev 390cb70 2018-07-29 23:31:38 +0100
Run Mode Grid (1 Region per Sim)
Physics EngineubODE
EnvironmentMono / Linux64
Mono Version5.x
Viewerfirestorm
Attached Filespng file icon moving_parcels_001.png [^] (1,342,362 bytes) 2018-08-05 12:22

- Relationships

-  Notes
(0032842)
nixnerd (reporter)
2018-08-06 11:37

On further investigation of this issue, the following has been consistently observed:

Create a parcel, restart the sim, the parcel moves in the +x world direction, approximately 8 meters, which is half the width of the plot, in this case. Upon restarting the sim again, the parcel moves back to the position it was originally created in.

The next sim restart, causes the parcel to move in the +x world direction, approximately 8 meters, again. This behaviour is entirely repeatable and consistent.

The work around, appears to be to restart the region twice, rather than once, on every occasion, after the parcels actual creation to maintain the correct parcel position within the sim.
(0032843)
BillBlight (developer)
2018-08-06 11:52

I can confirm this .. was about to open a mantis for this ...
(0032844)
nixnerd (reporter)
2018-08-06 13:10

Thanks for the confirmation watcher64
(0032845)
nixnerd (reporter)
2018-08-06 13:11

Edited status to confirmed
(0032849)
UbitUmarov (administrator)
2018-08-07 12:40

oops
hope it is better now
(0032850)
nixnerd (reporter)
2018-08-07 14:48

fixed in commit 88d638a - thanks watcher64 for the confirmation, Bill Blight for bringing it to Ubit's attention, and Ubit for the fix - marking issue as resolved.

- Issue History
Date Modified Username Field Change
2018-08-05 12:22 nixnerd New Issue
2018-08-05 12:23 nixnerd File Added: moving_parcels_001.png
2018-08-06 11:37 nixnerd Note Added: 0032842
2018-08-06 11:52 BillBlight Note Added: 0032843
2018-08-06 13:10 nixnerd Note Added: 0032844
2018-08-06 13:11 nixnerd Note Added: 0032845
2018-08-06 13:11 nixnerd Status new => confirmed
2018-08-07 12:40 UbitUmarov Note Added: 0032849
2018-08-07 14:48 nixnerd Note Added: 0032850
2018-08-07 14:48 nixnerd Status confirmed => resolved
2018-08-07 14:48 nixnerd Fixed in Version => master (dev code)
2018-08-07 14:48 nixnerd Resolution open => fixed
2018-08-07 14:48 nixnerd Assigned To => nixnerd


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker